Skip to content
former home of the groovy programming language, moved to https://github.com/apache/groovy
Java Groovy GAP HTML CSS TeX Other
Find file
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Failed to load latest commit information.
.externalToolBuilders
.settings
benchmark
bootstrap
config
cruise
gradle
security
src
subprojects
xdocs/images
.bzrignore
.classpath
.gitignore
.project
LICENSE.txt
NOTICE.txt
README.txt
build.gradle
build.properties
build.xml
gradle.properties
gradlew
gradlew.bat
pom.xml

README.txt

$Id$

Building
========

To build you will need:

 * JDK 1.5+ (http://java.sun.com/j2se/)
 * Apache Ant 1.7+ (http://ant.apache.org)

For detailed instructions please see:

    http://groovy.codehaus.org/Building+Groovy+from+Source

To build everything, run tests and create a complete installation:

    ant install

To build without running tests:

    ant install -DskipTests=true

To build from Eclipse:

    1. ant install
    2. ensure that the M2_REPO classpath variable exists and points to the correct place (typically ~/.m2/repository)
       To Change this, go to Preferences -> Java -> Build Path -> Classpath variables
    3. Project -> Clean... and then build.  Should compile with no errors.  But if there are errors, then send a message to the groovy users mailing list
    4. You will *not* be able to run the tests from inside of Eclipse. 
Something went wrong with that request. Please try again.